Subject: bug#78704: [PATCH] Use `seq-do' instead of `seq-map' for side-effects

From: Stefan Monnier <[email-masked]>
Date: Mon, 09 Jun 2025 10:25:38 -0400

> I believe it was, but it seems we never complained about discarding,
> for example, (not (beep)), even though the "not" is superfluous.

FWIW, we don't care about warning for all such cases.  Instead we want
to care about those cases that often enough reflect errors.

Warnings are always delicate in practice because "pointless" code can
show up very naturally from perfectly good code, just as the result of
rewrites like inlining and macro-expansion.  So it's not always
desirable to be "more thorough" especially when the warning is about
code that is not optimized enough (as opposed to dubious/invalid code)
because you can end up with too many false positives.

        Stefan